> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Session Download

> Returns a pre-signed URL (wrapped in `data`) to fetch a file downloaded during the session.




## OpenAPI

````yaml /openapi.yaml get /v1/sessions/{session_id}/downloads/{download_id}/fetch
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/downloads/{download_id}/fetch:
    get:
      tags:
        - Browser Sessions
      summary: Fetch Session Download
      description: >
        Returns a pre-signed URL (wrapped in `data`) to fetch a file downloaded
        during the session.
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
        - name: download_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Pre-signed download URL retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      status:
                        type: string
                      SignedUrl:
                        type: string
                      message:
                        type: string
        '404':
          description: Download not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````